<?php
/*
Plugin Name: DL Browser update
Description: Устаревшие браузеры – головная боль для веб-разработчиков и владельцев сайтов, ведь на их поддержку часто приходится тратить значительные ресурсы, которые можно было бы использовать с куда большей пользой. 
Плагин работает используя [API конструктора обновлений браузеров](https://tech.yandex.ru/browser/constructor/), сервис Яндекс.
Plugin URI: http://dd-l.name/wordpress-plugins/dl-browser-update/
Version: 1.0
Tags: dl, yandex, browser update
Author: Dyadya Lesha (info@dd-l.name)
Author URI: http://dd-l.name
*/


add_action('admin_menu', 'dl_browser_update_menu');

function dl_browser_update_menu() {
	
	add_options_page(
		'DL Browser update', 
		'Обновление браузеров', 
		'administrator', 
		'dl-browser-update/page-options.php'
	);
	
	add_action( 'admin_init', 'dl_browser_update_register_settings' );
	
}


// регистрируем настройки
function dl_browser_update_register_settings() {
	
	register_setting( 'dl-browser-update-settings-group', 'dl_browser_update_lang' );
	register_setting( 'dl-browser-update-settings-group', 'dl_browser_update_theme' );
	
}


// Добавляем допалнительную ссылку настроек на страницу всех плагинов
function dl_browser_update_settings_link($links) {
	
  $settings_link = '<a href="options-general.php?page=dl-browser-update%2Fpage-options.php">Настройки</a>';
  array_unshift($links, $settings_link);
  return $links;
  
}
$plugin = plugin_basename(__FILE__);

add_filter("plugin_action_links_$plugin", 'dl_browser_update_settings_link' );


add_action("wp_footer", "dl_browser_update_footer_code", 9999);

function dl_browser_update_footer_code() {

if( get_option('dl_browser_update_theme') == '') { 
	$dl_browser_update_theme = 'yellow';
} else {
	$dl_browser_update_theme = get_option('dl_browser_update_theme');
}

if( get_option('dl_browser_update_lang') == '' ) { 
	$dl_browser_update_lang = 'ru';
} else {
	$dl_browser_update_lang = get_option('dl_browser_update_lang');
}

echo '<script type="text/javascript" src="https://yastatic.net/browser-updater/v1/script.js" charset="utf-8"></script><script>var yabrowserupdater = new ya.browserUpdater.init({"lang":"' . $dl_browser_update_lang . '","theme":"' . $dl_browser_update_theme . '"});</script>

';

}